(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     91872,       2053]
NotebookOptionsPosition[     47052,       1132]
NotebookOutlinePosition[     90315,       2007]
CellTagsIndexPosition[     90231,       2002]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"{", "}"}]], "TemplateHeaderCell"],

Cell[CellGroupData[{

Cell["Liquidity Trap", "Title",
 CellChangeTimes->{{3.568729025069811*^9, 3.568729027732069*^9}, {
  3.5765837366633406`*^9, 3.57658373945934*^9}, {3.5874200134178057`*^9, 
  3.587420017176248*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rawyield", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{"Import", "[", 
      RowBox[{
      "\"\<http://research.stlouisfed.org/fred2/data/TB3MS.txt\>\"", ",", 
       RowBox[{"{", "\"\<Table\>\"", "}"}]}], "]"}], ",", 
     RowBox[{"13", ";;"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rawmb", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{"Import", "[", 
      RowBox[{
      "\"\<http://research.stlouisfed.org/fred2/data/BASE.txt\>\"", ",", 
       RowBox[{"{", "\"\<Table\>\"", "}"}]}], "]"}], ",", 
     RowBox[{"25", ";;"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rawgdp", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{"Import", "[", 
      RowBox[{
      "\"\<http://research.stlouisfed.org/fred2/data/GDP.txt\>\"", ",", 
       RowBox[{"{", "\"\<Table\>\"", "}"}]}], "]"}], ",", 
     RowBox[{"21", ";;"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.570299829278322*^9, 3.5702998401674747`*^9}, {
   3.570300073291234*^9, 3.5703000924491262`*^9}, {3.570300169663899*^9, 
   3.5703001998464746`*^9}, {3.570300244533863*^9, 3.5703002680849867`*^9}, {
   3.570300736964435*^9, 3.570300737504108*^9}, {3.570301250503517*^9, 
   3.570301251973383*^9}, {3.570301332789219*^9, 3.5703013460155573`*^9}, 
   3.57030145118557*^9, {3.588344908313509*^9, 3.588344908671077*^9}},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"yield", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"DateList", "/@", 
       RowBox[{"rawyield", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ",", 
      RowBox[{"rawyield", "[", 
       RowBox[{"[", 
        RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mb", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"DateList", "/@", 
       RowBox[{"rawmb", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ",", 
      RowBox[{"rawmb", "[", 
       RowBox[{"[", 
        RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gdp", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"DateList", "/@", 
       RowBox[{
        RowBox[{"rawgdp", "[", 
         RowBox[{"[", 
          RowBox[{"3", ";;"}], "]"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"rawgdp", "[", 
        RowBox[{"[", 
         RowBox[{"3", ";;"}], "]"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.568728791406768*^9, {3.568728861973308*^9, 3.5687288696180563`*^9}, 
   3.56872890361869*^9, 3.570300773677685*^9, {3.570301259915174*^9, 
   3.570301262956518*^9}, {3.570301455582272*^9, 3.5703014679516573`*^9}, 
   3.587419894400209*^9},
 CellTags->"EvaluateDeleteInput:"],

Cell["\<\
In Keynesian economics, a liquidity trap is a condition in which cash \
injected by a central bank into a private banking system does not lower \
interest rates and consequently fails to spur economic growth. Liquidity \
traps are triggered when people hold onto cash in anticipation of negative \
events like inadequate aggregate demand, deflation, and war. Liquidity traps \
are identifiable by two key features: near-zero short-term interest rates and \
monetary base variability without variability in general price levels.\
\>", "Text",
 CellChangeTimes->{
  3.572351836946055*^9, {3.572352167974345*^9, 3.572352171169038*^9}, 
   3.577148772888785*^9, {3.5885236133146667`*^9, 3.5885237093476257`*^9}}],

Cell[CellGroupData[{

Cell["\<\
Supporting Data for Liquidity Trap Analysis\
\>", "Section",
 CellChangeTimes->{{3.568729131203066*^9, 3.5687291760520277`*^9}, {
  3.572261636962888*^9, 3.572261640174254*^9}, {3.588348894601564*^9, 
  3.58834890725639*^9}}],

Cell["\<\
Though the long-term effects of the monetary policy are debatable, evidence \
suggests real activity is significantly affected by monetary policy. In other \
words, when interest rates increase, GDP decreases. The theory is that lower \
interest rates motivate investment in the local economy during recessions, \
increasing production and employment.\
\>", "Text",
 CellChangeTimes->{{3.57235187265024*^9, 3.5723518955594397`*^9}, {
  3.588348915519643*^9, 3.5883489855025263`*^9}, {3.5885237515611763`*^9, 
  3.588523815782667*^9}}],

Cell["\<\
As a result, an interest rate of zero prevents the central bank from \
stimulating the economy by lowering the interest rate. Liquidity traps \
constrain the monetary authority because they are associated with recessions, \
but debates about how to implement efficient monetary policy during a \
liquidity trap are getting more attention.\
\>", "Text",
 CellChangeTimes->{{3.572351897495419*^9, 3.572351902058445*^9}, {
   3.572352152123993*^9, 3.5723521555205297`*^9}, 3.577148777892071*^9, {
   3.5883490548147087`*^9, 3.588349068931819*^9}, {3.588349103270273*^9, 
   3.588349103524172*^9}, 3.588523753657065*^9, {3.588523818838402*^9, 
   3.5885238775158577`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"byyear", "=", 
   RowBox[{"GatherBy", "[", 
    RowBox[{
     RowBox[{"mb", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "&"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5681209689206533`*^9, 3.5681210013755207`*^9}, 
   3.568122512067027*^9},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nbyyear", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"byyear", "[", 
        RowBox[{"[", "n", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"MatchQ", "[", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", 
          RowBox[{"Alternatives", "[", 
           RowBox[{"1", ",", "4", ",", "7", ",", "10"}], "]"}]}], "]"}], 
        "&"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", 
       RowBox[{"Length", "[", "byyear", "]"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.568121975086851*^9, 3.568122077002081*^9}, {
  3.568122195670027*^9, 3.5681222190004396`*^9}, {3.568122254599292*^9, 
  3.568122269232074*^9}, {3.5681225944289*^9, 3.5681226107044573`*^9}, {
  3.568129474128315*^9, 3.5681294811365623`*^9}},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{
  RowBox[{"mbDates", "=", 
   RowBox[{"Drop", "[", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"First", "/@", 
          RowBox[{"GatherBy", "[", 
           RowBox[{
            RowBox[{"nbyyear", "[", 
             RowBox[{"[", "n", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "&"}]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", 
           RowBox[{"Length", "[", "byyear", "]"}], ",", "1"}], "}"}]}], "]"}],
        ",", "1"}], "]"}], ",", 
     RowBox[{"-", "2"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.568129582410541*^9, {3.5681302849991083`*^9, 3.568130289148642*^9}, 
   3.568130321369231*^9, 3.568130475417247*^9},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{
  RowBox[{"gdpDates", "=", 
   RowBox[{"Most", "@", 
    RowBox[{"Take", "[", 
     RowBox[{
      RowBox[{"gdp", "[", 
       RowBox[{"[", 
        RowBox[{"All", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"Append", "[", 
       RowBox[{
        RowBox[{"Flatten", "@", 
         RowBox[{"Position", "[", 
          RowBox[{
           RowBox[{"gdp", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "1"}], "]"}], "]"}], ",", 
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"Take", "[", 
              RowBox[{
               RowBox[{"First", "[", "mbDates", "]"}], ",", "2"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0", ",", "0", ",", "0."}], "}"}]}], "]"}]}], 
          "]"}]}], ",", 
        RowBox[{"-", "1"}]}], "]"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568129713250444*^9, 3.5681297185541067`*^9}, {
  3.568129882001889*^9, 3.568129963832555*^9}, {3.5681304824477873`*^9, 
  3.568130503314754*^9}, {3.570301958540019*^9, 3.5703019591392813`*^9}},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{
  RowBox[{"neededgdp", "=", 
   RowBox[{"Part", "[", 
    RowBox[{"gdp", ",", 
     RowBox[{"Part", "[", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"gdp", ",", "#"}], "]"}], "&"}], "/@", 
          RowBox[{"Take", "[", 
           RowBox[{"gdpDates", ",", 
            RowBox[{"Min", "[", 
             RowBox[{"Length", "/@", 
              RowBox[{"{", 
               RowBox[{"mbDates", ",", "gdpDates"}], "}"}]}], "]"}]}], 
           "]"}]}], ",", "1"}], "]"}], ",", "All", ",", "1"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5681303569193897`*^9, 3.568130449044393*^9}, 
   3.5745209351825027`*^9},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{
  RowBox[{"neededmb", "=", 
   RowBox[{"Part", "[", 
    RowBox[{"mb", ",", 
     RowBox[{"Part", "[", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"mb", ",", "#"}], "]"}], "&"}], "/@", 
          RowBox[{"Take", "[", 
           RowBox[{"mbDates", ",", 
            RowBox[{"Min", "[", 
             RowBox[{"Length", "/@", 
              RowBox[{"{", 
               RowBox[{"mbDates", ",", "gdpDates"}], "}"}]}], "]"}]}], 
           "]"}]}], ",", "1"}], "]"}], ",", "All", ",", "1"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.56813045073839*^9, 3.568130513272973*^9}, {
  3.574520938041596*^9, 3.574520940983027*^9}},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{
  RowBox[{"velocitymb", "=", 
   RowBox[{
    RowBox[{"neededgdp", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "/", 
    RowBox[{"neededmb", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568130536323839*^9, 3.568130546481308*^9}, {
  3.568130618931922*^9, 3.568130629630204*^9}},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{
  RowBox[{"yieldDates", "=", 
   RowBox[{"Part", "[", 
    RowBox[{
     RowBox[{"yield", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}], ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Position", "[", 
         RowBox[{
          RowBox[{"yield", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}], ",", "#"}], "]"}], "&"}],
        "/@", "gdpDates"}], "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5681307735137453`*^9, 3.568130801486392*^9}},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{
  RowBox[{"neededyield", "=", 
   RowBox[{"Part", "[", 
    RowBox[{"yield", ",", 
     RowBox[{"Part", "[", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"yield", ",", "#"}], "]"}], "&"}], "/@", "yieldDates"}], 
         ",", "1"}], "]"}], ",", "All", ",", "1"}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.568130803270293*^9, 3.5681308361809998`*^9}},
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<YIELD\>\"", ",", "15", ",", "Bold", ",", "Gray", ",", 
           RowBox[{"FontFamily", "\[Rule]", " ", "\"\<Arial\>\""}]}], "]"}], 
         ",", 
         RowBox[{"Pi", "/", "2"}]}], "]"}], ",", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{"neededyield", ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", 
          RowBox[{"1", "/", "4"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"Frame", "\[Rule]", " ", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"True", ",", "True"}], "}"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", " ", "None"}], ",", 
         RowBox[{"AxesStyle", "\[Rule]", " ", "Dashed"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"FontFamily", "\[Rule]", " ", "\"\<Arial\>\""}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"Thick", ",", 
            RowBox[{"ColorData", "[", 
             RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}]}], "}"}]}], ",", 
         RowBox[{"Filling", "\[Rule]", " ", "Axis"}], ",", 
         RowBox[{"FillingStyle", "\[Rule]", " ", 
          RowBox[{"Lighter", "@", 
           RowBox[{"ColorData", "[", 
            RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}]}]}]}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<GDP\>\"", ",", "15", ",", "Bold", ",", "Gray", ",", 
           RowBox[{"FontFamily", "\[Rule]", " ", "\"\<Arial\>\""}]}], "]"}], 
         ",", 
         RowBox[{"Pi", "/", "2"}]}], "]"}], ",", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{"neededgdp", ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", 
          RowBox[{"1", "/", "4"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"Frame", "\[Rule]", " ", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"True", ",", "True"}], "}"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", " ", "None"}], ",", 
         RowBox[{"AxesStyle", "\[Rule]", " ", "Dashed"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"FontFamily", "\[Rule]", " ", "\"\<Arial\>\""}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"Thick", ",", 
            RowBox[{"ColorData", "[", 
             RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}]}], "}"}]}], ",", 
         RowBox[{"Filling", "\[Rule]", " ", "Axis"}], ",", 
         RowBox[{"FillingStyle", "\[Rule]", " ", 
          RowBox[{"Lighter", "@", 
           RowBox[{"ColorData", "[", 
            RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}]}]}]}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<MB\>\"", ",", "15", ",", "Bold", ",", "Gray", ",", 
           RowBox[{"FontFamily", "\[Rule]", " ", "\"\<Arial\>\""}]}], "]"}], 
         ",", 
         RowBox[{"Pi", "/", "2"}]}], "]"}], ",", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{"neededmb", ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", 
          RowBox[{"1", "/", "4"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"Frame", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"True", ",", "True"}], "}"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"Automatic", ",", "None"}], "}"}]}], ",", 
         RowBox[{"AxesStyle", "\[Rule]", " ", "Dashed"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"FontFamily", "\[Rule]", " ", "\"\<Arial\>\""}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"Thick", ",", 
            RowBox[{"ColorData", "[", 
             RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}]}], "}"}]}], ",", 
         RowBox[{"Filling", "\[Rule]", " ", "Axis"}], ",", 
         RowBox[{"FillingStyle", "\[Rule]", " ", 
          RowBox[{"Lighter", "@", 
           RowBox[{"ColorData", "[", 
            RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}]}]}]}], "]"}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", " ", "None"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5721973575910873`*^9, 3.572197419603993*^9}, {
   3.572197465113943*^9, 3.5721975062087193`*^9}, {3.572197568523429*^9, 
   3.572197685205202*^9}, {3.572197727219636*^9, 3.572197756180005*^9}, 
   3.572197800610958*^9, {3.5721978368426723`*^9, 3.572197840881502*^9}, {
   3.572198741802855*^9, 3.5721987608845043`*^9}, {3.572198933873609*^9, 
   3.572198948446699*^9}, {3.572198979892396*^9, 3.572198983633245*^9}, {
   3.5721990328651237`*^9, 3.5721990369399643`*^9}, {3.5721990691890182`*^9, 
   3.572199102763454*^9}, {3.572199140353022*^9, 3.5721991476706457`*^9}, {
   3.5721991783757143`*^9, 3.57219921976477*^9}, {3.572199292086212*^9, 
   3.572199301892733*^9}, {3.57219939313822*^9, 3.572199396840117*^9}, {
   3.5721994412332563`*^9, 3.572199447969939*^9}, {3.572258888557928*^9, 
   3.572258903429006*^9}, {3.57225919061622*^9, 3.572259194452915*^9}, {
   3.5722592619274883`*^9, 3.572259262770905*^9}, {3.572259414400321*^9, 
   3.572259418523006*^9}, {3.572259673777313*^9, 3.572259685790949*^9}, {
   3.572259745701318*^9, 3.5722597494018593`*^9}, 3.5722599535539913`*^9, {
   3.572260074379319*^9, 3.57226008891431*^9}, {3.572260191201974*^9, 
   3.572260191336274*^9}, {3.572260288933003*^9, 3.572260290405427*^9}, {
   3.5722603478271933`*^9, 3.572260395160478*^9}, {3.572260480955174*^9, 
   3.572260484593054*^9}, {3.572260528277426*^9, 3.572260528587509*^9}, {
   3.5765842361543407`*^9, 3.57658424549934*^9}, {3.5765848442993402`*^9, 
   3.5765848455173407`*^9}},
 CellTags->"EvaluateDeleteInput:"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Relationships Between Supporting Datasets\
\>", "Section",
 CellChangeTimes->{{3.568729187497076*^9, 3.568729192872726*^9}, {
  3.572351676380431*^9, 3.5723516854274607`*^9}, {3.588349116894175*^9, 
  3.588349123555468*^9}, {3.588697316341611*^9, 3.588697316552129*^9}}],

Cell["\<\
We can use a 3D visualization tool to see the relationships between two sets \
of variables that are crucial in spotting the liquidity trap. Below, we can \
see the changes between GDP, monetary base, and 3-month Treasury Bill.\
\>", "Text",
 CellChangeTimes->{
  3.572352017539423*^9, {3.572352144893869*^9, 3.5723521634527063`*^9}, {
   3.5765846176213408`*^9, 3.5765846177913404`*^9}, {3.588349145331011*^9, 
   3.58834915034728*^9}, 3.588523924017859*^9, 3.588697319167696*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"g", ",", " ", "m", ",", " ", "y"}], "}"}], "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"neededgdp", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], "/", "1000"}], ",", 
      RowBox[{
       RowBox[{"neededmb", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], "/", "1000"}], ",", 
      RowBox[{"neededyield", "[", 
       RowBox[{"[", 
        RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}]}], ";"}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"bc", "=", 
    RowBox[{"BubbleChart3D", "[", 
     RowBox[{
      RowBox[{"Transpose", "@", 
       RowBox[{"{", 
        RowBox[{"g", ",", "m", ",", "y", ",", 
         RowBox[{"Table", "[", 
          RowBox[{".03", ",", 
           RowBox[{"{", 
            RowBox[{"Length", "[", "y", "]"}], "}"}]}], "]"}]}], "}"}]}], ",", 
      RowBox[{"BubbleSizes", "\[Rule]", " ", 
       RowBox[{"{", 
        RowBox[{".02", ",", ".08"}], "}"}]}], ",", 
      RowBox[{"FaceGrids", "\[Rule]", "None"}], ",", 
      RowBox[{"ChartStyle", "\[Rule]", "\"\<DeepSeaColors\>\""}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pt1", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"g", ",", "m", ",", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"Length", "[", "g", "]"}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pt2", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"g", ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Max", "[", "m", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"Length", "[", "g", "]"}], "}"}]}], "]"}], ",", "y"}], "}"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pt3", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Min", "[", "g", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"Length", "[", "g", "]"}], "}"}]}], "]"}], ",", "m", ",", 
      "y"}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pt4", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"g", ",", "m", ",", "y"}], "}"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQrXUkwnn73FeO54xNXUD0BBXraBD94Oj9JBCtw1CW
BaI/9NiVgOgEq2dVIDqqx6EaRP/h0a4H0fKTFjWBaJ64020getbh910gWmzp
rykg+lSy71QQvaru5SYQfeXjDzCdsNJ+P4g2/MV0BER/vBFyGUQf2sNzD0Rf
LAt7AqJZA1Y9A9HTWLheg+hrEY/egWgh+frPYDrz6D8QvU3hBdMOIL3mVDov
iNaYWSYPogVUD4HpKWvLQ0H0mTfNYHqaUXrgTpC6+xfA9EYn+VQQffK0UxqI
nq262/z00leO9zY4W4LoR2xcISD6jO7sCBANAGc8teI=
  "],
 CellTags->"EvaluateDeleteInput:"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Gray", ",", 
        RowBox[{"Line", "[", "pt1", "]"}], ",", 
        RowBox[{"Line", "[", "pt2", "]"}], ",", 
        RowBox[{"Line", "[", "pt3", "]"}]}], "}"}], "]"}], ",", "bc"}], "}"}],
    ",", 
   RowBox[{"FaceGrids", "\[Rule]", "None"}], ",", 
   RowBox[{"PlotRangePadding", "\[Rule]", "None"}], ",", 
   RowBox[{"Boxed", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Bottom", ",", "Left", ",", "Back"}], "}"}]}], ",", 
   RowBox[{"BoxStyle", "\[Rule]", 
    RowBox[{"GrayLevel", "[", ".2", "]"}]}], ",", 
   RowBox[{"Lighting", "\[Rule]", "\"\<Neutral\>\""}], ",", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesStyle", "\[Rule]", 
    RowBox[{"GrayLevel", "[", ".2", "]"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<GDP (trillion USD)\>\"", ",", "Bold", ",", "16", ",", 
        RowBox[{"GrayLevel", "[", ".3", "]"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<MB (trillion USD)\>\"", ",", "Bold", ",", "16", ",", 
        RowBox[{"GrayLevel", "[", ".3", "]"}]}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<YIELD (%)\>\"", ",", "Bold", ",", "16", ",", 
        RowBox[{"GrayLevel", "[", ".3", "]"}]}], "]"}]}], "}"}]}], ",", 
   RowBox[{"BoxRatios", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "550"}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", " ", "100"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesEdge", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "1"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Automatic", ",", "Automatic"}], "}"}]}], ",", 
   
   RowBox[{"BaseStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.572349466773946*^9, 3.572349473662574*^9}, {
   3.572349657848213*^9, 3.5723497189929047`*^9}, {3.572349779687521*^9, 
   3.5723498579547043`*^9}, {3.572349911194626*^9, 3.5723499140171328`*^9}, {
   3.572349945345335*^9, 3.572349973080337*^9}, {3.5723500063552303`*^9, 
   3.572350039492627*^9}, {3.572350119832652*^9, 3.5723501224184313`*^9}, {
   3.572350359296712*^9, 3.57235035977952*^9}, {3.5723504579894257`*^9, 
   3.572350496093041*^9}, {3.572350618651482*^9, 3.5723507043980417`*^9}, {
   3.572350754702004*^9, 3.572350773322268*^9}, {3.57235080831306*^9, 
   3.572350839073344*^9}, {3.572350875972543*^9, 3.572350966169076*^9}, {
   3.572350999253993*^9, 3.57235108324349*^9}, {3.572351227706196*^9, 
   3.572351230067024*^9}, {3.5723516597399387`*^9, 3.572351660122656*^9}, {
   3.572353675224925*^9, 3.5723536785272408`*^9}, {3.572353832976891*^9, 
   3.5723538740362463`*^9}, {3.572354006247509*^9, 3.572354008384864*^9}, {
   3.57235410510069*^9, 3.572354113333128*^9}, {3.57658447800434*^9, 
   3.57658452720934*^9}, {3.5765846298993406`*^9, 3.5765846304833403`*^9}, 
   3.5765846759833403`*^9, {3.5765849031563406`*^9, 3.5765849161923404`*^9}, {
   3.57658495618834*^9, 3.5765851008883405`*^9}, {3.588349184801486*^9, 
   3.588349200713492*^9}},
 CellTags->"EvaluateDeleteInput:"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Spotting a Liquidity Trap", "Section",
 CellChangeTimes->{{3.5687291979446297`*^9, 3.56872920517048*^9}, {
  3.5723516422301683`*^9, 3.572351649619491*^9}, {3.58834916729322*^9, 
  3.5883491706112213`*^9}}],

Cell["\<\
The chart below illustrates the relationship between US monetary base \
velocity and interest rates since 1984. In economics, few theoretical \
relationships hold up so well. As mentioned earlier, liquidity traps occur \
when interest rates bottom out and cash is hoarded. As a result, the \
relationship between velocity and interest rates flattens at low rates \
because money stock increases produce a proportional decline in velocity \
without requiring any further decline in yields.\
\>", "Text",
 CellChangeTimes->{{3.5723520746488037`*^9, 3.572352137644166*^9}, {
  3.5771487820743103`*^9, 3.5771487822753215`*^9}, {3.588349223275599*^9, 
  3.588349224593652*^9}, {3.588523936665065*^9, 3.5885240156533947`*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"opts", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Joined", "\[Rule]", "True"}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", 
        RowBox[{"1", "/", "4"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
       RowBox[{"Frame", "\[Rule]", " ", "True"}], ",", 
       RowBox[{"FrameStyle", "\[Rule]", 
        RowBox[{"GrayLevel", "[", ".3", "]"}]}], ",", 
       RowBox[{"FrameTicks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "False"}], "}"}]}], ",", 
       RowBox[{"Axes", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{"True", ",", "True"}], "}"}]}], ",", 
       RowBox[{"Ticks", "\[Rule]", " ", "None"}], ",", 
       RowBox[{"BaseStyle", "\[Rule]", 
        RowBox[{"FontFamily", "\[Rule]", " ", "\"\<Arial\>\""}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", 
          RowBox[{"ColorData", "[", 
           RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}]}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", " ", "Axis"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", " ", 
        RowBox[{"Lighter", "@", 
         RowBox[{"ColorData", "[", 
          RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}]}]}], ",", 
       RowBox[{"PlotRangeClipping", "\[Rule]", "True"}]}], "}"}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"#", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], "&"}], "/@", 
          RowBox[{"{", 
           RowBox[{
           "\"\<3-Month Treasury Bill\>\"", ",", 
            "\"\<Gross Domestic Product\>\"", ",", 
            "\"\<St. Louis Adjusted\>\""}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"#", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], "&"}], "/@", 
          RowBox[{"{", 
           RowBox[{
           "\"\<Secondary Market Rate\>\"", ",", 
            "\"\<Seasonally Adjusted Annual Rate\>\"", ",", 
            "\"\<Monetary Base\>\""}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"DateListPlot", "[", 
            RowBox[{"neededyield", ",", "opts", ",", 
             RowBox[{"Epilog", "\[Rule]", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Lighter", "@", "Red"}], ",", 
                RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"neededyield", "[", 
                  RowBox[{"[", "n", "]"}], "]"}], "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Scaled", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"neededyield", "[", 
                    RowBox[{"[", "n", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], 
                    "]"}], "&"}], "/@", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], "]"}]}], 
               "}"}]}]}], "]"}], ",", 
           RowBox[{"DateListPlot", "[", 
            RowBox[{"neededgdp", ",", "opts", ",", 
             RowBox[{"Epilog", "\[Rule]", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Lighter", "@", "Red"}], ",", 
                RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"neededgdp", "[", 
                  RowBox[{"[", "n", "]"}], "]"}], "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Scaled", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"neededgdp", "[", 
                    RowBox[{"[", "n", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], 
                    "]"}], "&"}], "/@", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "2"}], "}"}]}], "}"}]}], "]"}]}], 
               "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"DateListPlot", "[", 
            RowBox[{"neededmb", ",", "opts", ",", 
             RowBox[{"Epilog", "\[Rule]", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Lighter", "@", "Red"}], ",", 
                RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"neededmb", "[", 
                  RowBox[{"[", "n", "]"}], "]"}], "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Scaled", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"neededmb", "[", 
                    RowBox[{"[", "n", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], 
                    "]"}], "&"}], "/@", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], "]"}]}], 
               "}"}]}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", "\"\<\>\"", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Show", "[", 
               RowBox[{
                RowBox[{"ListLinePlot", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"velocitymb", ",", 
                    RowBox[{"neededyield", "[", 
                    RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
                   "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ";;", "n"}], "]"}], "]"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"5", ",", "22"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
                  RowBox[{"PlotRangePadding", "\[Rule]", "1"}], ",", 
                  RowBox[{"Frame", "\[Rule]", " ", "True"}], ",", 
                  RowBox[{"FrameLabel", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    "\"\<Velocity of Monetary Base\>\"", ",", 
                    "\"\<3-Month Treasury Bill Yield\>\""}], "}"}]}], ",", 
                  RowBox[{"PlotStyle", "\[Rule]", " ", 
                   RowBox[{"{", 
                    RowBox[{"Thick", ",", "Gray", ",", 
                    RowBox[{"Opacity", "[", ".5", "]"}]}], "}"}]}], ",", 
                  RowBox[{"BaseStyle", "\[Rule]", 
                   RowBox[{
                   "FontFamily", "\[Rule]", " ", "\"\<Verdana\>\""}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Epilog", "\[Rule]", 
                   RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"pt", "=", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"velocitymb", ",", 
                    RowBox[{"neededyield", "[", 
                    RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
                    "[", 
                    RowBox[{"[", "n", "]"}], "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", " ", 
                    RowBox[{"{", 
                    RowBox[{"Gray", ",", 
                    RowBox[{"Arrowheads", "[", "Medium", "]"}], ",", "Dashed",
                     ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Scaled", "[", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", ".8"}], "}"}], "]"}], ",", "pt"}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Framed", "[", 
                    RowBox[{
                    RowBox[{"ToUpperCase", "@", 
                    RowBox[{"DateString", "[", 
                    RowBox[{
                    RowBox[{"gdpDates", "[", 
                    RowBox[{"[", "n", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<MonthName\>\"", ",", 
                    "\"\< \[FilledSmallCircle] \>\"", ",", "\"\<Year\>\""}], 
                    "}"}]}], "]"}]}], ",", 
                    RowBox[{"FrameMargins", "\[Rule]", "8"}], ",", 
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"Lighter", "@", 
                    RowBox[{
                    RowBox[{"ColorData", "[", "68", "]"}], "[", "1", 
                    "]"}]}]}]}], "]"}], ",", 
                    RowBox[{"Scaled", "[", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", ".8"}], "}"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Center", ",", "Bottom"}], "}"}]}], "]"}], ",", 
                    "Bold", ",", "14", ",", "White"}], "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", "}"}], "]"}], ",", "Red", ",", 
                    RowBox[{"Circle", "[", 
                    RowBox[{"pt", ",", 
                    RowBox[{"Offset", "[", "20", "]"}]}], "]"}], ",", 
                    RowBox[{"Point", "[", "pt", "]"}]}], "}"}]}], "]"}]}], 
                  ",", 
                  RowBox[{"ImageSize", "\[Rule]", " ", "480"}]}], "]"}], ",", 
                RowBox[{"ListPlot", "[", 
                 RowBox[{
                  RowBox[{"Transpose", "[", 
                   RowBox[{"{", 
                    RowBox[{"velocitymb", ",", 
                    RowBox[{"neededyield", "[", 
                    RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "}"}], "]"}], 
                  ",", 
                  RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
                  RowBox[{"PlotStyle", "\[Rule]", " ", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"AbsolutePointSize", "[", "8", "]"}], ",", 
                    RowBox[{"Opacity", "[", ".5", "]"}], ",", 
                    RowBox[{"ColorData", "[", 
                    RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}]}], 
                    "}"}]}]}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Spacer", "[", "80", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Column", "[", 
               RowBox[{
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"AngularGauge", "[", 
                   RowBox[{
                    RowBox[{"velocitymb", "[", 
                    RowBox[{"[", "n", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "25"}], "}"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "150"}], ",", 
                    RowBox[{"ScaleOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Pi", "+", 
                    RowBox[{"Pi", "/", "6"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "Pi"}], "/", "6"}]}], "}"}]}], ",", 
                    RowBox[{"GaugeStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ColorData", "[", 
                    RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"ColorData", "[", 
                    RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}], ",", 
                    "0.7"}], "]"}]}], "}"}]}], ",", 
                    RowBox[{"ScaleRanges", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "10"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", "20"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"20", ",", "25"}], "}"}]}], "}"}]}]}], "]"}], ",",
                   "\[IndentingNewLine]", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<Velocity of Monetary Base\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"AngularGauge", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"neededyield", "[", 
                    RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
                    RowBox[{"[", "n", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "25"}], "}"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "150"}], ",", 
                    RowBox[{"ScaleOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Pi", "+", 
                    RowBox[{"Pi", "/", "6"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "Pi"}], "/", "6"}]}], "}"}]}], ",", 
                    RowBox[{"GaugeStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ColorData", "[", 
                    RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"ColorData", "[", 
                    RowBox[{"68", ",", "\"\<ColorList\>\""}], "]"}], ",", 
                    "0.7"}], "]"}]}], "}"}]}], ",", 
                    RowBox[{"ScaleRanges", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "10"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", "20"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"20", ",", "25"}], "}"}]}], "}"}]}]}], "]"}], ",",
                   "\[IndentingNewLine]", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<3-Month Treasury Bill Yield\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", 
                    RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], 
                 "\[IndentingNewLine]", "}"}], ",", 
                RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
             "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
           "SpanFromLeft", ",", "SpanFromLeft"}], "\[IndentingNewLine]", 
          "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"Alignment", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{
          RowBox[{"Length", "[", "neededgdp", "]"}], "-", "10"}], ",", 
         "\"\<Time\>\""}], "}"}], ",", "1", ",", 
       RowBox[{"Length", "[", "neededgdp", "]"}], ",", "1", ",", 
       RowBox[{"ControlType", "\[Rule]", "Slider"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"500", ",", "20"}], "}"}]}]}], "}"}], ",", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.568139852239875*^9, 3.568139881282518*^9}, {
   3.568139934236155*^9, 3.568139960103606*^9}, {3.571512600444971*^9, 
   3.571512601563757*^9}, {3.5715126551257353`*^9, 3.571512660929822*^9}, {
   3.571512727788308*^9, 3.57151273472334*^9}, {3.571512785396744*^9, 
   3.571512786340712*^9}, {3.571512849592456*^9, 3.57151285389851*^9}, {
   3.571512888397636*^9, 3.571512888478487*^9}, {3.571513032768121*^9, 
   3.571513077338645*^9}, {3.5715131639909286`*^9, 3.57151316467557*^9}, {
   3.571513219474666*^9, 3.571513230743524*^9}, {3.572196924666872*^9, 
   3.572196931260584*^9}, {3.5721969742775784`*^9, 3.572196974562028*^9}, {
   3.572260881433666*^9, 3.572260892216527*^9}, {3.5722610692244987`*^9, 
   3.572261117985248*^9}, {3.572261162144909*^9, 3.5722611881984377`*^9}, {
   3.5722612204310617`*^9, 3.57226124166815*^9}, {3.572261360031151*^9, 
   3.572261375072916*^9}, 3.5765838446233406`*^9, {3.5765839549223404`*^9, 
   3.57658395769534*^9}, {3.5765851501963406`*^9, 3.57658522022134*^9}, {
   3.57658525985334*^9, 3.5765852735943403`*^9}, {3.5765853209173403`*^9, 
   3.5765853363633404`*^9}, 3.57658537636034*^9, {3.57658540737934*^9, 
   3.5765856140413404`*^9}, {3.5765856721143403`*^9, 3.57658569138634*^9}, {
   3.5765857325543404`*^9, 3.5765858012963405`*^9}, {3.5765858368123407`*^9, 
   3.5765858667633405`*^9}, {3.57658590499934*^9, 3.5765860694543405`*^9}, {
   3.5765861319553404`*^9, 3.5765861952643404`*^9}, {3.5765862498573403`*^9, 
   3.5765863603973403`*^9}, {3.5765863913623405`*^9, 
   3.5765864274293404`*^9}, {3.5765864623443403`*^9, 
   3.5765865085813403`*^9}, {3.5765865528493404`*^9, 3.5765869366423407`*^9}},
 CellTags->"EvaluateDeleteInput:"],

Cell[TextData[StyleBox["The foregoing comments represent the general \
investment analysis and economic views of the advisor, and are provided \
solely for the purpose of information, instruction, and discourse.",
 FontSize->14,
 FontSlant->"Italic"]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{{3.572352363995729*^9, 3.572352375401999*^9}, {
  3.5883492374013557`*^9, 3.5883492436355333`*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{934, 780},
WindowMargins->{{Automatic, 482}, {Automatic, 81}},
DockedCells->Cell[
  BoxData[
   PanelBox[
    PaneBox[
     TagBox[
      GridBox[{{
         ItemBox[
          TagBox[
           GridBox[{{"\"  \"", "\" \"", 
              InterpretationBox[
               Cell[
                BoxData[
                 FormBox[
                  StyleBox["\"REPORT TEMPLATE\"", 17, Bold, 
                   RGBColor[0.4196, 0.4196, 0.4196], FontFamily -> 
                   "Sans Serif", StripOnInput -> False], TextForm]], 
                "InlineText"], 
               Text[
                Style["REPORT TEMPLATE", 17, Bold, 
                 RGBColor[0.4196, 0.4196, 0.4196], FontFamily -> 
                 "Sans Serif"]]]}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          Alignment -> {Left, Center}, StripOnInput -> False], 
         ItemBox[
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                 DynamicBox[
                  ToBoxes[
                   If[
                    TrueQ[
                    CurrentValue[
                    ButtonNotebook[], {TaggingRules, "Highlight"}]], 
                    ReportGeneration`Authoring`Private`buttonLabel[
                    ReportGeneration`Authoring`Private`img["Preview"], 
                    ReportGeneration`Authoring`Private`img["PreviewHover"], 
                    "Preview"], 
                    If[$VersionNumber >= 9, 
                    ReportGeneration`Authoring`Private`buttonLabel[
                    ReportGeneration`Authoring`Private`img["Edit"], 
                    ReportGeneration`Authoring`Private`img["EditHover"], 
                    "Edit Template"], 
                    ReportGeneration`Authoring`Private`buttonLabel[
                    ReportGeneration`Authoring`Private`img["Preview"], 
                    ReportGeneration`Authoring`Private`img[
                    "PreviewHover", "Preview"]]]], StandardForm], 
                  Initialization :> {
                   Attributes[
                    ReportGeneration`Authoring`Private`buttonLabel] = {
                    HoldAll}, ReportGeneration`Authoring`Private`buttonLabel[
                    Pattern[ReportGeneration`Authoring`Private`img, 
                    Blank[]], 
                    Pattern[ReportGeneration`Authoring`Private`label, 
                    Blank[]]] := 
                    Column[{ReportGeneration`Authoring`Private`img, 
                    Text[
                    Style[ReportGeneration`Authoring`Private`label, 10, 
                    RGBColor[0.3882, 0.3882, 0.3882], FontFamily -> 
                    "Sans Serif"]]}, Alignment -> Center, Spacings -> 0], 
                    ReportGeneration`Authoring`Private`buttonLabel[
                    Pattern[ReportGeneration`Authoring`Private`defaultImg, 
                    Blank[]], 
                    Pattern[ReportGeneration`Authoring`Private`hoverImg, 
                    Blank[]], 
                    Pattern[ReportGeneration`Authoring`Private`label, 
                    Blank[]]] := 
                    PaneSelector[{
                    False -> ReportGeneration`Authoring`Private`buttonLabel[
                    ReportGeneration`Authoring`Private`defaultImg, 
                    ReportGeneration`Authoring`Private`label], True -> 
                    ReportGeneration`Authoring`Private`buttonLabel[
                    ReportGeneration`Authoring`Private`hoverImg, 
                    ReportGeneration`Authoring`Private`label]}, 
                    Dynamic[
                    FrontEnd`CurrentValue["MouseOver"]]], 
                    ReportGeneration`Authoring`Private`img["DockedCell"] := 
                    ReportGeneration`Authoring`Private`image[
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyd0jsOwjAMBuAIOnAN7sFCj1BO0EqwIhUk1PPm/X6sGUIqFVYrtWT7+z37
PD2HxwEh9DrVMYyf6zyPy62roV/e9+lYcam97vW4Vfkh51y2XFJKoGOMux1C
aLL3vsnOOdDWWtDGGNBaa9BKKdBSyiYLIUBzzkEzxppMKW0yIWS3McaQ/z/8
BQ+BVdQ=
                    "], {{0, 60}, {3, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {3, 60}, PlotRange -> {{0, 3}, {0, 60}}]],
                     ReportGeneration`Authoring`Private`img["Edit"] := 
                    ReportGeneration`Authoring`Private`image[
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJytlDurGkEUx4ckRbpACOFCqnyDVIFUl6RKfVP5QleMDxSCNwlyWxuxUHw/
8RUVUVP4CUwXyLcIpliLBLbzYjEn53/ZlXV1XSEZ+Hlm9vzncP6z4z4PfrgK
3xNCfHzIP1dK6vX1tXLz7gEv3tx8eh+8z5OnzBMGD4nov+JyuS6ZHwydCbSX
dvXi8fifdDpNuVzuLKDFHrt62WyW8vn8AQ5D5R7h7aBeoVCg+XxOqqrubdD1
556BgVYqlUjTtO9c4qXP5yMDt9stKpWKU597g3uT+p4Lj8dzt98A62KxKBFP
YfYKfa1WI6/XKwDmBliXy2Vp5HTIDtSDvtFowJ8A5t6xrlar0shZ80fGnb7V
apHf7xcmHjFfMK/X69KSO8DsF/pOp0OBQEDovAiFQj8zmcwW62azKU25Y5AB
6kHf6/VIURTBhBOJxC2fKXHfeLaLFjRdb/Uv2u22HAwGFAwGxWg0+grvTrAf
Cb2B2S9yw+GQ2CPWn9fr9XY6nRKeYRjRMjTodcgA9fr9vhyPxxSLxZ6Fw2HU
fLXZbH4tl8st1ty7RLTD6hf6xWJBqVTqG//HLyKRCDSPmTHm3J9EPIXZL/Sr
1ep3t9u9TSaT+G7siEajgnuXiAw5gXrQc3zLqJbecQZiMplIRId7vPMLPfci
7OB3czIPzH6d9HhX5jNwYjabSb7Dwo4zfe7dJTryzf4X/gI9O03/
                    
                    "], {{0, 22}, {20, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, 
                    PlotRange -> {{0, 20}, {0, 22}}]], 
                    ReportGeneration`Authoring`Private`img["EditHover"] := 
                    ReportGeneration`Authoring`Private`image[
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJytlEtME1EUhm/UhYlGTa2IqAGCj2pDgMTgK7WWEFJqUCzE10bbCAQUJVQw
JUSCGmJ0YdxTi0VdsdDEvTsSN8YV0Y0hsuhCiBXbMp3Se7x/M9NMp51OE73J
N+ecOf+cuf/NZGr9d729Gxhjgc3i4vXddw0P+4Jdm0TRErzX498okgqBVYCb
RPRfmXZscQo+CahMoHUazfvgsa78uGqh+I2dZQEtnjGat3x9FyX8FQWYrKjY
I7wVzEv27CHpmZcy3z/nPaDoyz0DlViybx+lfy7NixHNoRYLqUw7trJEf63Z
PvNWrK+Grw3UIK0MObcx5Cqof/fXccRSaL1CLw0eoJBrBwPIVVCv3j7E1Z4C
GYF50KeGjsAfA9q9o14dtHG1p+8XWVl9KlBPL1utTMN2QQT5nyE71/UK0PqF
Xh5tonDbbqbQ+Lq9avHbTZuMOh5o4JpeMUgF86BPjzVT2F3FBL3vO6ullVuH
KX7Hhnu5qCOm6PX+WWL0GF8fP0Vhz3628HxgLjnSRPBfikTwBIdeResXvczE
GZo5V416JLP4RU5PtZP8wJF9oRr1nxn0CqSCecnx0zzz0EWRrqN7Z87XYeZJ
Hv+1lHo7JqNOTpzliEbo/ULPX1yhd77jHyPd9spXFw5CYxG8Qb422coRS6H1
C/361/nl6GSHNHetkWYv1eeIXLQx6bGbIwrIDMyDXkS3IKo/JHEGTJrycEST
7zjnN6vvtjMjUk86SvaB1i/0whszQn7UlncGZshPO/ns5QZmRJk+tStGRf7Z
/8JfxjwiTg==
                    "], {{0, 22}, {20, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, 
                    PlotRange -> {{0, 20}, {0, 22}}]], 
                    ReportGeneration`Authoring`Private`img["Help"] := 
                    ReportGeneration`Authoring`Private`image[
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyVlEtLG1EYhofaRbdC7T6lIBRc9Re0+AssXcQruWIuJGgL4kYXonghJjEa
iYjY3BHJBQz+ADHZJAiWShdqMZW6CU0CgiAkX793mEguZ0QXT+bMOe/3ZObM
OUejdw6YX0iS9PUV/wzopj5OTuqmP7/km0/T30z6Lm68YV4z6NRqtY+hYQyM
WcGg9D1kiKiFwcFBEQbmVKfTkcPhIKfTKYM2+njsp5Lp8A0NDTXzjjlF7fz8
PK2urgpZWFiQ/ciiRsXXZzKZKsi63e4ngSxqUNvwDQ8Pgx6LxXLlcrnI4/E8
C9Rw7TUc8I2MjEhWq/X7ysoKra2ttZBMJimfz1OxWJQ5Pj6mQCDQkUMtO8Pw
jY6O9s7OztZ9Ph+1c3Bw8JszU0y/wuLNzU1VlIUDrpmZGdf6+jptbGx0EI1G
c2NjYxLzT+ELOz/s7e11ZOGAa3l5+Wpzc5NE7O7unvD66G88A79rmO8l/p+q
KL+0tFRk9z3mRMTc3BxNTExQLBajs7Mzwrvr9fpu/g7CGr/ff8/e+tbWFqkB
193dHebRzK634+PjJ1wnzMIVDofr29vbpMbR0VGZXd1Go3HRZrOR1+tVzcK1
v79/v7OzQ2rw3Od4zUp498dyAK5sNlvkeSc1sO/MZrPqeDO8Pv+cn5+7QqEQ
BYNBIYVCAd9BvqplABwXFxdujvbyM9ZxLyKRSOT4G0i4qmUAP1sdLt4nUqVS
CafTaYpEIh3wmsJekq+icZBKpaharcaw33jv4lzoKZVK1zyf2BPPAjVc+xcO
+HgNyHC7j/+jcnh4KK+5p4BsuVyuoLZxXjV8ihNn4ynPK2UyGYrH40Iwhkyt
VvvB+ffN56ndbu+A+w3Mr9vbW7q8vCReAzJoow9jSqar/bwX+Zq8GqXOooC2
pi3Twn8CeYP7
                    "], {{0, 22}, {20, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, 
                    PlotRange -> {{0, 20}, {0, 22}}]], 
                    ReportGeneration`Authoring`Private`img["HelpHover"] := 
                    ReportGeneration`Authoring`Private`image[
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyV1GtIU2EYB/BD9iFIMUstMxtTy1KnRYVhWHntomlew6wPbrkQ01JHJhEi
1piQqYSB5F1JktAgP4w+JATpN5dTI4zy2tSy3LJ5Oe6cp/c5TtncOaEffjvv
ed//84dNfMXS2wnyLRRF5W8jHwnpBaF5eemFiVvJS1ihIkNqRxauhDOBmzUh
2/9HTMgIuZnMvLeWAQArNSH2fMicvbY1zAHeRTtClxmucY+cDZozNn21Zxws
eRParpgdoLvmDEapC69JcoYZzOKMdZ/jKklb1C697rorGGW7NwSzOIOza32h
TsilI8ZtVC9zg/mMvZuCM2R2Aju4vrCdVFusqHFa6g7zN/dZWaxIhWV1FTCf
3nPodiUs5PrZ5H6Q2Zex+1uwry7c2ac/zYNdyBTBej9rFcMkU0BEmKlMwxoD
X3aAdGCXWh5cNn/LCxZ4fH2S0VMX6UoRv82SSeexpdI4myx2YJcmO3h0Mecg
8PmiTNPUR+2J+JN1AJCmJK2FvFMzqiQDX7436+SYLj+IXsr1BT6D6d6gThQB
/TAKmO42wO9ef97daSz7CO/MlCKI1ucFskv5EhBCKy8A+3cWf0d5/UUPzxdx
npq5O/68Wa6rOIKl7x4FIcb20lnS5dQQLVK9iveEqZwAwSx2Gcuv0sv3joOQ
kaqcnoZLYqrvhp9gZhV2zXU+HTPdDwIhWnkANMZ5CZ5bmntTOW4Y+FBmKgoB
04NTvJi3z/DvwD2FMhzSYRjsLidRH+a1imWKTgOfkWpFT1P8IQqfQhlOh5LF
rqaEwxQ9872FqUwFpvisDW3WCSAZ7sl3zqlIAfqXrhX/35qS/PBecDHphibY
x5eBLQnfHDLD6IZ02MH1JftzyFrCzozr2edyYB9Fbgxmp7/pcXb1vmpOkawh
73g3auGjGqBaBqA8xw/PMMOY+kne1/I+bb4SaIPskwH4DPpJgD4y19u5Ate4
h2crGbv19z1fn0Wv2DyXaYZr8bqMlX+PakGW
                    "], {{0, 22}, {20, 
                    0}}, {0, 255}, ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, 
                    PlotRange -> {{0, 20}, {0, 22}}]], 
                    ReportGeneration`Authoring`Private`img["Palette"] := 
                    ReportGeneration`Authoring`Private`image[
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyt1ctqwkAUBuCh7aJddVO676O0j2BXIkISkqAoFGyhKFmIyxgjoljwhsZL
or6ctLsOmdMzkinTbtQxA1/4ZxY/yWEgD8ZLxr4ghLxe4yOjvz9WKnr1+Qo3
T9U3y7jEcI/uED/MZrNnAYA/8OwWRegLgaIdCtCNYRih4zjQbDah1WopcV0X
arUaaJr2Ua/Xv33fB7F4VtVoND49z4N2uw25XI5wPJ8h7nQ6wOXz+T2xV9Hr
9Vi324W09Pt9NhwOIa01mUziwWDAdF0nquS7h+9GUWp9o9GIjsdjhneQJCAh
54NEH34vnU6nzDRNwmE3cHI+huibzWb7PsuyCCfmKucj174vCAKKmG3bRJU8
v/l8TheLBSsUCiQBCTkfJPqWyyVdrVasWCwSDruBk/MxRF8YhhT99olhyPmU
+UVRRNfrNSuVSkSVPL/NZkNRan3b7ZbPD8rlcipwdvGJczq0dvDvf3KuH+3t
RDc=
                    "], {{0, 22}, {20, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, 
                    PlotRange -> {{0, 20}, {0, 22}}]], 
                    ReportGeneration`Authoring`Private`img["PaletteHover"] := 
                    ReportGeneration`Authoring`Private`image[
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyt1clLQkEcB/ChOhQdLFqQpKKFNooKOiQhZRuWtGnLJVqkxEsFJpbRvqBJ
nbsU2iuo/yfwn+jQS31aDs6vGfHF1EWb/MHn8Z2B9z38ePDqbFsWex5CaLuQ
PiyrO0anc9VjLaCHQY9r3ZZPQyVVTrHLW0PxvwDAD/ROQz1TEQoEyZREFT2O
VDyFZktBXiqD6IqYN/rui7UEpKGym9CiLqHYKkAdlkW9LDeEZZsWlDUt3A1o
EMOyqFdHQzJm1wFzZyxNUc8iwhvNJO6ogVyJbLaSuKsTcjURjz4ZdXWRwKgW
ieK/vbddPVbcPSRgqkKi+D55z4AVTy8JjFejNEjjc0bffQdGHNvvI0FzLWIS
7m5g+JwNte/9aBjHDvtJcKIeMepe+ZzlpPrCpyYcPxkk91ONSBS/v/DFOI6f
jZL7mSaUBml8zui7zzuBP87HiGRpQUzyuB8YPmdD7Yv4pvGn10yk2TbEqMvg
81/2F/Vb8eflJJHm2pEofn/Rqzmc8E+Th/kOJIrvU64XcOLCBA8LnTmh+KaS
f9xTppHh1//kv74AjQkNow==
                    "], {{0, 22}, {20, 0}}, {0, 255},
                     ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, 
                    PlotRange -> {{0, 20}, {0, 22}}]], 
                    ReportGeneration`Authoring`Private`img["Preview"] := 
                    ReportGeneration`Authoring`Private`image[
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyllDtPAkEQxy9qYWFpjImVla2VrdHKWisIBO7AAwKJAU2ILVQUEN7vZwgh
QMM3oDPhK5jY0NBgco0JNDfOnO4FzoWDOMmP7NzOzM78b49z6ele3hME4fkQ
f+7F8E0oJL4+HKBz+/ryKO3j4gQ5RuihxWL5FwCwAj67RsYIbMn4N4dbz+/3
f0YiEYjH41tBsZRjtVoFwlgvFotBIpH4g4lNjXUYyWQSBoMBTKdTY46wgwYM
JZ1Og6Iob5h/ZbfbgUH1stmsWZ8rhr2pvzmnLJ9BfiqVUtfNxYPi8/k8OJ1O
zac1g/xMJrNSz2azwTpYfLFYBFEUWc6KfrlcztjfJtPiy+UySJLE7b9QKOj1
HA5HBznaNC/F12o1cLvd3P1SqaTXi0aj4HK53lGbC/YM18Bg8Y1GA2RZ1vZx
blgG+9fXpAvdLbzLX+hbefpUKhW11WqBx+PR6tHsZlSrVeh0OlXePDir2m63
wev1cvWmPWakC9372Ww2R1emeNQJGOQ3m00VzwKfz3fGOw971/UbjUawWCw+
cH255n1r8cPhEMLh8Ah1OTXWw/6W78sA2fh+KX4ymczq9fo8GAyS1jq0j71r
9VAPMGMp/g5+/i+MJnS7XdbfNqbFBwIBgeD13+v1dvp+zeLpXS1rYEa/3zc7
f1dTdplnG74BdIzfWg==
                    "], {{0, 22}, {20, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, 
                    PlotRange -> {{0, 20}, {0, 22}}]], 
                    ReportGeneration`Authoring`Private`img["PreviewHover"] := 
                    ReportGeneration`Authoring`Private`image[
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBLECOU2VJahIzkCEGxCJADBKcY8tN
Ef7//z8KBorZA/FJIP5PJD4J1YPVvC1eIm8fRQr9/5IgTBQGqQXpmWPLwwDC
6Oa9iRf9/zVJDAMTAM/RzYHhb6mS/390B/3/e+8cuh4GEsIAhj98S5f5//v1
42NA/WZznYT+wzDIvK+ZioTciQI+pCv8+56lAGJKgPSD2DAM4n/MVP6Hy1/Y
MEj9j1yV//PdxMF8EBuGQfxPOWoo5s11FPiPC8PU/yzQ/D/fQwqmByX8PuVq
oLsPHwCr/1ms+3++lyxW938u0IabN89FZCkQ8+DzL0j9rzLD/wu85bHKfynW
h5t3M17+/2IPqVvAsFGHiQHZ/2EYpv53ldn/BX7KEHkPqf/I+EueBpwNCpfX
Wer/1/nLfQXyo7CFz9cyk39/aqz+L/RXBZsH8jsh/LXM+P+VSXlzsPnna6XF
v7/1dv8XBWpgDe9fdbYINjBcfnf6/f/75PoPIDcNpB4YTv9hGMT/VmP972+T
4/9FwVrS2Oz7Vu8AD78/yyr+//v+5S6QbYAjvsHq/02M+L8h0Xz/ohBtCXTz
vje6IKeX1UCMN35B6v/cOPbmeaPvjzVRBv8Xh+nCMUj+R4sH2DxgePwnhJHU
e/yHlBfogOFHmxfMfcQAsPrF4foMIIzN/T87fEnKv4TU/2p2QwkDQvhXVwAh
+0kFH0jxDzEYAOLbvhs=
                    "], {{0, 22}, {20, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, 
                    PlotRange -> {{0, 20}, {0, 22}}]], 
                    ReportGeneration`Authoring`Private`image[
                    Pattern[ReportGeneration`Authoring`Private`img, 
                    Blank[]]] := Image[
                    ToExpression[ReportGeneration`Authoring`Private`img], 
                    ImageSize -> Magnification[1]]}], ButtonFunction :> 
                 If[$VersionNumber >= 9, CurrentValue[
                    ButtonNotebook[], {TaggingRules, "Highlight"}] = Not[
                    CurrentValue[
                    ButtonNotebook[], {TaggingRules, "Highlight"}, True]]; 
                   SetOptions[
                    ButtonNotebook[], ShowCellTags -> If[
                    TrueQ[
                    CurrentValue[
                    ButtonNotebook[], {TaggingRules, "Highlight"}]], True, 
                    False], Editable -> If[
                    TrueQ[
                    CurrentValue[
                    ButtonNotebook[], {TaggingRules, "Highlight"}]], True, 
                    False]]; Null, 
                   MessageDialog[
                   "This feature is not available for current Mathematica \
version. "]], Appearance -> None, Evaluator -> Automatic, Method -> 
                 "Preemptive"], 
                DynamicBox[
                 ToBoxes[
                  If[
                   TrueQ[
                    CurrentValue[
                    ButtonNotebook[], {TaggingRules, "Highlight"}]], 
                   ReportGeneration`Authoring`Private`tooltip["Preview"], 
                   ReportGeneration`Authoring`Private`tooltip["Edit"]], 
                  StandardForm], 
                 Initialization :> {
                  ReportGeneration`Authoring`Private`tooltip["Edit"] := 
                   Module[{}, 
                    Text[
                    Style[
                    "Return to template view.", 
                    ReportGeneration`Authoring`Private`tooltipOpts]]], 
                   ReportGeneration`Authoring`Private`tooltip["Help"] := 
                   Module[{}, 
                    Text[
                    Style[
                    "Open the Report Generation User Guide.", 
                    ReportGeneration`Authoring`Private`tooltipOpts]]], 
                   ReportGeneration`Authoring`Private`tooltip["Palette"] := 
                   Module[{}, 
                    Text[
                    Style[
                    "Open the Report Generation palette.", 
                    ReportGeneration`Authoring`Private`tooltipOpts]]], 
                   ReportGeneration`Authoring`Private`tooltip["Preview"] := 
                   Module[{}, 
                    Text[
                    Style[
                    "Preview how the report would appear when generated.\n\
Template variables will be replaced with their Preview Expressions, if \
assigned.", ReportGeneration`Authoring`Private`tooltipOpts]]], 
                   ReportGeneration`Authoring`Private`tooltipOpts := {
                    FontFamily -> "Sans Serif"}}], TooltipDelay -> 0.6], 
               Annotation[#, 
                Dynamic[
                 If[
                  TrueQ[
                   CurrentValue[
                    ButtonNotebook[], {TaggingRules, "Highlight"}]], 
                  ReportGeneration`Authoring`Private`tooltip["Preview"], 
                  ReportGeneration`Authoring`Private`tooltip["Edit"]], 
                 SaveDefinitions :> True], "Tooltip"]& ], 
              TagBox[
               TooltipBox[
                ButtonBox[
                 PaneSelectorBox[{False -> TagBox[
                    GridBox[{{
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyt1ctqwkAUBuCh7aJddVO676O0j2BXIkISkqAoFGyhKFmIyxgjoljwhsZL
or6ctLsOmdMzkinTbtQxA1/4ZxY/yWEgD8ZLxr4ghLxe4yOjvz9WKnr1+Qo3
T9U3y7jEcI/uED/MZrNnAYA/8OwWRegLgaIdCtCNYRih4zjQbDah1WopcV0X
arUaaJr2Ua/Xv33fB7F4VtVoND49z4N2uw25XI5wPJ8h7nQ6wOXz+T2xV9Hr
9Vi324W09Pt9NhwOIa01mUziwWDAdF0nquS7h+9GUWp9o9GIjsdjhneQJCAh
54NEH34vnU6nzDRNwmE3cHI+huibzWb7PsuyCCfmKucj174vCAKKmG3bRJU8
v/l8TheLBSsUCiQBCTkfJPqWyyVdrVasWCwSDruBk/MxRF8YhhT99olhyPmU
+UVRRNfrNSuVSkSVPL/NZkNRan3b7ZbPD8rlcipwdvGJczq0dvDvf3KuH+3t
RDc=
                    "], {{0, 22}, {20, 0}}, {0, 255}, ColorFunction -> 
                    RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, PlotRange -> {{0, 20}, {0, 22}},
                     ImageSize -> Magnification[1]]}, {
                    InterpretationBox[
                    Cell[
                    BoxData[
                    FormBox[
                    StyleBox["\"Palette\"", 10, 
                    RGBColor[0.3882, 0.3882, 0.3882], FontFamily -> 
                    "Sans Serif", StripOnInput -> False], TextForm]], 
                    "InlineText"], 
                    Text[
                    Style["Palette", 10, 
                    RGBColor[0.3882, 0.3882, 0.3882], FontFamily -> 
                    "Sans Serif"]]]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Center}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{0}}}], "Column"], 
                   True -> TagBox[
                    GridBox[{{
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyt1clLQkEcB/ChOhQdLFqQpKKFNooKOiQhZRuWtGnLJVqkxEsFJpbRvqBJ
nbsU2iuo/yfwn+jQS31aDs6vGfHF1EWb/MHn8Z2B9z38ePDqbFsWex5CaLuQ
PiyrO0anc9VjLaCHQY9r3ZZPQyVVTrHLW0PxvwDAD/ROQz1TEQoEyZREFT2O
VDyFZktBXiqD6IqYN/rui7UEpKGym9CiLqHYKkAdlkW9LDeEZZsWlDUt3A1o
EMOyqFdHQzJm1wFzZyxNUc8iwhvNJO6ogVyJbLaSuKsTcjURjz4ZdXWRwKgW
ieK/vbddPVbcPSRgqkKi+D55z4AVTy8JjFejNEjjc0bffQdGHNvvI0FzLWIS
7m5g+JwNte/9aBjHDvtJcKIeMepe+ZzlpPrCpyYcPxkk91ONSBS/v/DFOI6f
jZL7mSaUBml8zui7zzuBP87HiGRpQUzyuB8YPmdD7Yv4pvGn10yk2TbEqMvg
81/2F/Vb8eflJJHm2pEofn/Rqzmc8E+Th/kOJIrvU64XcOLCBA8LnTmh+KaS
f9xTppHh1//kv74AjQkNow==
                    "], {{0, 22}, {20, 0}}, {0, 255},
                     ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, PlotRange -> {{0, 20}, {0, 22}},
                     ImageSize -> Magnification[1]]}, {
                    InterpretationBox[
                    Cell[
                    BoxData[
                    FormBox[
                    StyleBox["\"Palette\"", 10, 
                    RGBColor[0.3882, 0.3882, 0.3882], FontFamily -> 
                    "Sans Serif", StripOnInput -> False], TextForm]], 
                    "InlineText"], 
                    Text[
                    Style["Palette", 10, 
                    RGBColor[0.3882, 0.3882, 0.3882], FontFamily -> 
                    "Sans Serif"]]]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Center}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{0}}}], "Column"]}, 
                  Dynamic[
                   FrontEnd`CurrentValue["MouseOver"]]], 
                 ButtonFunction :> (
                  ReportGeneration`Authoring`Private`dir$8188 = FileNameDrop[
                    FindFile["ReportGeneration`"], -2]; NotebookOpen[
                    
                    FileNameJoin[{
                    ReportGeneration`Authoring`Private`dir$8188, "FrontEnd", 
                    "Palettes", "Report Generation.nb"}]]), Appearance -> 
                 None, Evaluator -> Automatic, Method -> "Preemptive"], 
                InterpretationBox[
                 Cell[
                  BoxData[
                   FormBox[
                    StyleBox[
                    "\"Open the Report Generation palette.\"", {
                    FontFamily -> "Sans Serif"}, StripOnInput -> False], 
                    TextForm]], "InlineText"], 
                 Text[
                  Style[
                  "Open the Report Generation palette.", {
                   FontFamily -> "Sans Serif"}]]], TooltipDelay -> 0.6], 
               Annotation[#, 
                Text[
                 Style[
                 "Open the Report Generation palette.", {
                  FontFamily -> "Sans Serif"}]], "Tooltip"]& ], 
              TagBox[
               TooltipBox[
                ButtonBox[
                 PaneSelectorBox[{False -> TagBox[
                    GridBox[{{
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyVlEtLG1EYhofaRbdC7T6lIBRc9Re0+AssXcQruWIuJGgL4kYXonghJjEa
iYjY3BHJBQz+ADHZJAiWShdqMZW6CU0CgiAkX793mEguZ0QXT+bMOe/3ZObM
OUejdw6YX0iS9PUV/wzopj5OTuqmP7/km0/T30z6Lm68YV4z6NRqtY+hYQyM
WcGg9D1kiKiFwcFBEQbmVKfTkcPhIKfTKYM2+njsp5Lp8A0NDTXzjjlF7fz8
PK2urgpZWFiQ/ciiRsXXZzKZKsi63e4ngSxqUNvwDQ8Pgx6LxXLlcrnI4/E8
C9Rw7TUc8I2MjEhWq/X7ysoKra2ttZBMJimfz1OxWJQ5Pj6mQCDQkUMtO8Pw
jY6O9s7OztZ9Ph+1c3Bw8JszU0y/wuLNzU1VlIUDrpmZGdf6+jptbGx0EI1G
c2NjYxLzT+ELOz/s7e11ZOGAa3l5+Wpzc5NE7O7unvD66G88A79rmO8l/p+q
KL+0tFRk9z3mRMTc3BxNTExQLBajs7Mzwrvr9fpu/g7CGr/ff8/e+tbWFqkB
193dHebRzK634+PjJ1wnzMIVDofr29vbpMbR0VGZXd1Go3HRZrOR1+tVzcK1
v79/v7OzQ2rw3Od4zUp498dyAK5sNlvkeSc1sO/MZrPqeDO8Pv+cn5+7QqEQ
BYNBIYVCAd9BvqplABwXFxdujvbyM9ZxLyKRSOT4G0i4qmUAP1sdLt4nUqVS
CafTaYpEIh3wmsJekq+icZBKpaharcaw33jv4lzoKZVK1zyf2BPPAjVc+xcO
+HgNyHC7j/+jcnh4KK+5p4BsuVyuoLZxXjV8ihNn4ynPK2UyGYrH40Iwhkyt
VvvB+ffN56ndbu+A+w3Mr9vbW7q8vCReAzJoow9jSqar/bwX+Zq8GqXOooC2
pi3Twn8CeYP7
                    "], {{0, 22}, {20, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, PlotRange -> {{0, 20}, {0, 22}},
                     ImageSize -> Magnification[1]]}, {
                    InterpretationBox[
                    Cell[
                    BoxData[
                    FormBox[
                    StyleBox["\"Help\"", 10, 
                    RGBColor[0.3882, 0.3882, 0.3882], FontFamily -> 
                    "Sans Serif", StripOnInput -> False], TextForm]], 
                    "InlineText"], 
                    Text[
                    Style["Help", 10, 
                    RGBColor[0.3882, 0.3882, 0.3882], FontFamily -> 
                    "Sans Serif"]]]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Center}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{0}}}], "Column"], 
                   True -> TagBox[
                    GridBox[{{
                    GraphicsBox[
                    TagBox[
                    RasterBox[CompressedData["
1:eJyV1GtIU2EYB/BD9iFIMUstMxtTy1KnRYVhWHntomlew6wPbrkQ01JHJhEi
1piQqYSB5F1JktAgP4w+JATpN5dTI4zy2tSy3LJ5Oe6cp/c5TtncOaEffjvv
ed//84dNfMXS2wnyLRRF5W8jHwnpBaF5eemFiVvJS1ihIkNqRxauhDOBmzUh
2/9HTMgIuZnMvLeWAQArNSH2fMicvbY1zAHeRTtClxmucY+cDZozNn21Zxws
eRParpgdoLvmDEapC69JcoYZzOKMdZ/jKklb1C697rorGGW7NwSzOIOza32h
TsilI8ZtVC9zg/mMvZuCM2R2Aju4vrCdVFusqHFa6g7zN/dZWaxIhWV1FTCf
3nPodiUs5PrZ5H6Q2Zex+1uwry7c2ac/zYNdyBTBej9rFcMkU0BEmKlMwxoD
X3aAdGCXWh5cNn/LCxZ4fH2S0VMX6UoRv82SSeexpdI4myx2YJcmO3h0Mecg
8PmiTNPUR+2J+JN1AJCmJK2FvFMzqiQDX7436+SYLj+IXsr1BT6D6d6gThQB
/TAKmO42wO9ef97daSz7CO/MlCKI1ucFskv5EhBCKy8A+3cWf0d5/UUPzxdx
npq5O/68Wa6rOIKl7x4FIcb20lnS5dQQLVK9iveEqZwAwSx2Gcuv0sv3joOQ
kaqcnoZLYqrvhp9gZhV2zXU+HTPdDwIhWnkANMZ5CZ5bmntTOW4Y+FBmKgoB
04NTvJi3z/DvwD2FMhzSYRjsLidRH+a1imWKTgOfkWpFT1P8IQqfQhlOh5LF
rqaEwxQ9872FqUwFpvisDW3WCSAZ7sl3zqlIAfqXrhX/35qS/PBecDHphibY
x5eBLQnfHDLD6IZ02MH1JftzyFrCzozr2edyYB9Fbgxmp7/pcXb1vmpOkawh
73g3auGjGqBaBqA8xw/PMMOY+kne1/I+bb4SaIPskwH4DPpJgD4y19u5Ate4
h2crGbv19z1fn0Wv2DyXaYZr8bqMlX+PakGW
                    "], {{0, 22}, {20, 
                    0}}, {0, 255}, ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSizeRaw -> {20, 22}, PlotRange -> {{0, 20}, {0, 22}},
                     ImageSize -> Magnification[1]]}, {
                    InterpretationBox[
                    Cell[
                    BoxData[
                    FormBox[
                    StyleBox["\"Help\"", 10, 
                    RGBColor[0.3882, 0.3882, 0.3882], FontFamily -> 
                    "Sans Serif", StripOnInput -> False], TextForm]], 
                    "InlineText"], 
                    Text[
                    Style["Help", 10, 
                    RGBColor[0.3882, 0.3882, 0.3882], FontFamily -> 
                    "Sans Serif"]]]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Center}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{0}}}], "Column"]}, 
                  Dynamic[
                   FrontEnd`CurrentValue["MouseOver"]]], ButtonFunction :> 
                 SystemOpen["paclet:ReportGeneration/tutorial/Overview"], 
                 Appearance -> None, Evaluator -> Automatic, Method -> 
                 "Preemptive"], 
                InterpretationBox[
                 Cell[
                  BoxData[
                   FormBox[
                    StyleBox[
                    "\"Open the Report Generation User Guide.\"", {
                    FontFamily -> "Sans Serif"}, StripOnInput -> False], 
                    TextForm]], "InlineText"], 
                 Text[
                  Style[
                  "Open the Report Generation User Guide.", {
                   FontFamily -> "Sans Serif"}]]], TooltipDelay -> 0.6], 
               Annotation[#, 
                Text[
                 Style[
                 "Open the Report Generation User Guide.", {
                  FontFamily -> "Sans Serif"}]], "Tooltip"]& ], "\"   \""}}, 
            AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}}],
            "Grid"], Alignment -> Right, StripOnInput -> False]}}, 
       GridBoxAlignment -> {"Rows" -> {{Bottom}}}, AutoDelete -> False, 
       GridBoxItemSize -> {"Columns" -> {
           Scaled[0.5], 
           Scaled[0.5]}}], "Grid"], ImageMargins -> {{0, -1}, {0, -1}}], 
    Alignment -> {Center, Center}, ImageMargins -> {{0, -1.5}, {0, -0.5}}, 
    FrameMargins -> {{0, 0}, {0, 0}}, Appearance -> Image[CompressedData["
1:eJyd0jsOwjAMBuAIOnAN7sFCj1BO0EqwIhUk1PPm/X6sGUIqFVYrtWT7+z37
PD2HxwEh9DrVMYyf6zyPy62roV/e9+lYcam97vW4Vfkh51y2XFJKoGOMux1C
aLL3vsnOOdDWWtDGGNBaa9BKKdBSyiYLIUBzzkEzxppMKW0yIWS3McaQ/z/8
BQ+BVdQ=
      "], "Byte", ColorSpace -> "RGB", ImageSize -> Magnification[1],
       Interleaving -> True]]], "TemplateDockedCell"],
TaggingRules->{"Highlight" -> True, "ReportTemplateVersion" -> 1.},
CellContext->Notebook,
ShowCellTags->True,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell["Style Environment Names", "Section"], 
      Cell[
       StyleData[All, "Working"], GhostCellInEmptyNotebook -> False, 
       CellInsertionPointCell -> 
       FEPrivate`FrontEndResource["FEExpressions", "CellInsertionMenu"]], 
      Cell[
       StyleData[All, "Presentation"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "Condensed"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "SlideShow"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "Printout"], Magnification -> 0.72], 
      Cell[
       StyleData[All, "PrintoutGray"], MenuSortingValue -> None]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], ShowCellBracket -> Automatic, 
          CellMargins -> {{0, 0}, {30, 0}}, 
          CellBracketOptions -> {
           "Margins" -> {0, 0}, "OverlapContent" -> True}, 
          CellGroupingRules -> {"TitleGrouping", 0}, 
          CellFrameMargins -> {{60, 20}, {25, 35}}, FontFamily -> "Gill Sans",
           FontSize -> 56, FontColor -> GrayLevel[1], Background -> 
          RGBColor[0.28, 0.5, 0.74]], 
         Cell[
          StyleData["Title", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 20}}, LineSpacing -> {1, 18}, FontSize -> 
          15]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subtitle"], ShowCellBracket -> False, 
          CellMargins -> {{60, 0}, {0, 5}}, 
          CellBracketOptions -> {"Margins" -> {0, 0}}, 
          CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> False,
           DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, TextAlignment -> Left, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "Subtitle", 
          CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
            "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
          FontSize -> 20, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> RGBColor[0.4, 0.4, 0.4], Background -> None], 
         Cell[
          StyleData["Subtitle", "Presentation", StyleDefinitions -> None], 
          CellMargins -> {{58, 0}, {0, 5}}, FontSize -> 20], 
         Cell[
          StyleData[
          "Subtitle", "SlideShow", StyleDefinitions -> 
           StyleData["Subtitle", "Presentation"]]], 
         Cell[
          StyleData["Subtitle", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 5}}, FontSize -> 14, Background -> 
          GrayLevel[1]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubtitle", StyleDefinitions -> StyleData["Subtitle"]],
           FontSize -> Inherited + 3], 
         Cell[
          StyleData["Subsubtitle", "Presentation"], FontSize -> 
          Inherited + 3], 
         Cell[
          StyleData[
          "Subsubtitle", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubtitle", "Presentation"]]], 
         Cell[
          StyleData["Subsubtitle", "Printout"], FontSize -> Inherited + 0]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0.2, 0}}, 
          ShowGroupOpener -> False, CellMargins -> {{60, 50}, {20, 25}}, 
          FontSize -> 36, FontWeight -> "Plain", FontColor -> 
          RGBColor[0.28, 0.5, 0.74]], 
         Cell[
          StyleData["Section", "Presentation"], 
          CellFrame -> {{0, 0}, {0.2, 0}}, 
          CellMargins -> {{58, 50}, {10, 35}}], 
         Cell[
          StyleData[
          "Section", "SlideShow", StyleDefinitions -> 
           StyleData["Section", "Presentation"]], 
          CellMargins -> {{58, 50}, {10, 35}}], 
         Cell[
          StyleData["Section", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {7, 22}}, FontSize -> 14]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellDingbat -> None, ShowGroupOpener -> 
          False, CellMargins -> {{60, Inherited}, {0, 12}}, 
          CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsection", 
          CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
          "Helvetica", FontSize -> 24, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsection", "Presentation"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {6, 15}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "SlideShow"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {8, 12}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {2, 22}}, FontSize -> 12]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], CellDingbat -> None, ShowGroupOpener -> 
          False, CellMargins -> {{60, Inherited}, {0, 12}}, 
          CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsubsection", FontFamily -> "Helvetica", 
          FontSize -> 24, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsubsection", "Presentation"], ShowGroupOpener -> True,
           WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {6, 20}}, 
          LineSpacing -> {1, 0}], 
         Cell[
          StyleData[
          "Subsubsection", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubsection", "Presentation"]]], 
         Cell[
          StyleData["Subsubsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {2, 22}}, FontSize -> 11]}, Closed]]}, 
     Open]]}, Visible -> False, FrontEndVersion -> 
  "9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, 2013)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "EvaluateDeleteInput:"->{
  Cell[840, 30, 1436, 34, 74, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[2279, 66, 1655, 51, 74, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[6146, 165, 434, 13, 39, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[6583, 180, 947, 25, 57, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[7533, 207, 883, 25, 39, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[8419, 234, 1111, 29, 74, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[9533, 265, 801, 23, 74, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[10337, 290, 815, 23, 57, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[11155, 315, 435, 12, 39, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[11593, 329, 609, 18, 39, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[12205, 349, 542, 16, 39, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[12750, 367, 6504, 134, 278, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[20068, 523, 2829, 83, 176, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[22900, 608, 3710, 82, 159, "Input",
   CellTags->"EvaluateDeleteInput:"],
  Cell[27595, 713, 19015, 406, 907, "Input",
   CellTags->"EvaluateDeleteInput:"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"EvaluateDeleteInput:", 89018, 1968}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 57, 1, 30, "TemplateHeaderCell"],
Cell[CellGroupData[{
Cell[639, 25, 198, 3, 155, "Title"],
Cell[840, 30, 1436, 34, 74, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[2279, 66, 1655, 51, 74, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[3937, 119, 718, 11, 87, "Text"],
Cell[CellGroupData[{
Cell[4680, 134, 235, 5, 92, "Section"],
Cell[4918, 141, 544, 9, 68, "Text"],
Cell[5465, 152, 678, 11, 68, "Text"],
Cell[6146, 165, 434, 13, 39, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[6583, 180, 947, 25, 57, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[7533, 207, 883, 25, 39, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[8419, 234, 1111, 29, 74, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[9533, 265, 801, 23, 74, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[10337, 290, 815, 23, 57, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[11155, 315, 435, 12, 39, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[11593, 329, 609, 18, 39, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[12205, 349, 542, 16, 39, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[12750, 367, 6504, 134, 278, "Input",
 CellTags->"EvaluateDeleteInput:"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19291, 506, 280, 5, 92, "Section"],
Cell[19574, 513, 491, 8, 49, "Text"],
Cell[20068, 523, 2829, 83, 176, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[22900, 608, 3710, 82, 159, "Input",
 CellTags->"EvaluateDeleteInput:"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26647, 695, 212, 3, 92, "Section"],
Cell[26862, 700, 730, 11, 87, "Text"],
Cell[27595, 713, 19015, 406, 907, "Input",
 CellTags->"EvaluateDeleteInput:"],
Cell[46613, 1121, 411, 7, 57, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
